## com.google.appengine.api.datastore
Interface QueryResultIterator<T>

Type Parameters:
  `T` - the type of result returned by the query

All Superinterfaces:
  java.util.Iterator<T>

    public interface QueryResultIterator<T>

extends java.util.Iterator<T>

A class that iterates through the results of a `Query`

Method Summary
`Cursor` `getCursor()` Gets a `Cursor` that points to the `Entity` immediately after the last `Entity` that was retrieved by `Iterator.next()`.
`java.util.List<Index>` `getIndexList()` Get the indexes used to perform the query.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### getIndexList

    java.util.List<Index> getIndexList()

  Get the indexes used to perform the query.

  Returns:
    A list of index references, with no duplicates, or `null` if the indexes are not known.

### getCursor

    Cursor getCursor()

  Gets a `Cursor` that points to the `Entity` immediately after the last `Entity` that was retrieved by `Iterator.next()`.

  Returns:
    a `Cursor` or `null` if this query result cannot be resumed